commit:     4c7ff09928b6f9020dc6f8362175b62c355458fe
Author:     Matt Jolly <Matt.Jolly <AT> footclan <DOT> ninja>
AuthorDate: Fri May 13 23:16:54 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri May 20 08:37:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c7ff099

app-emulation/vagrant: add 2.2.19

Signed-off-by: Matt Jolly <Matt.Jolly <AT> footclan.ninja>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-emulation/vagrant/Manifest              |  1 +
 app-emulation/vagrant/metadata.xml          |  5 --
 app-emulation/vagrant/vagrant-2.2.19.ebuild | 95 +++++++++++++++++++++++++++++
 3 files changed, 96 insertions(+), 5 deletions(-)

diff --git a/app-emulation/vagrant/Manifest b/app-emulation/vagrant/Manifest
index 61ef4925d306..2d06053d9a70 100644
--- a/app-emulation/vagrant/Manifest
+++ b/app-emulation/vagrant/Manifest
@@ -1,3 +1,4 @@
 DIST vagrant-2.2.18.tar.gz 1620261 BLAKE2B 
8938801b383373967365ca64a79f70885a61c02221eeebf75f15fa40440dfdc585f0a0d0cafe9a01484d594dc49b98397a0724776586c2c9fe4f529b6891bb26
 SHA512 
4694ca499136b53fc5cbab1efd47c9175293ba84521614edbe545766b93e54dc8dc11278f7170c88f3bb05a4ca0a7c52e21deca285f848578a890858b8f21b64
+DIST vagrant-2.2.19.tar.gz 1838272 BLAKE2B 
cb707254379f52db8571bfe132e5b852a11998d86b43ee707e03d442ca1313da7b2612af027a58f806e0b551a6f415d121dab51cf7ea5da4292e5c2afd198ab9
 SHA512 
24a2e5baeac5cf8c45c012cf70dd4132b1dc7a6a5bab19d1046c91cc88e669356e2e5676d96eda6ed7293ff19ada974954969a4a59b9e4a30e2d95de27fa64e4
 DIST vagrant-2.2.7.tar.gz 2173893 BLAKE2B 
bf905cb25a905e4fb79ce9c1fb59ad5520b5176d5681dfdc22855ca0a7520535346d2aebffe47162a1f8ca008083c94426e9de92b6d92de4373c654784605c7e
 SHA512 
3455b74c8a867ab37ca9873187a98cdb80feb22a400c4e9f2266897da815815aaefbe0c166172b1c1dbd66aa49ccb1201dcbf904fd883ad34218d694e20d7f87
 DIST vagrant-2.2.9.tar.gz 2215868 BLAKE2B 
6d40827c91c86f6b11865d9949e5313c419456c573686944ecd0d1874323aa81d6f26178d5b7a16fee701c513a98b3483dbea0531d9d77dee7b7e284004e17b3
 SHA512 
15e230bcf336615f0d49a2c40db36f7f26a9f0f6fd42d2ce801f28afc663aadded4fa373e33f9102b21ee70d98563fc68e2b24ffa6c3eec321f58b2c42b0d260

diff --git a/app-emulation/vagrant/metadata.xml 
b/app-emulation/vagrant/metadata.xml
index 74e70057d3ea..1ca87553dc86 100644
--- a/app-emulation/vagrant/metadata.xml
+++ b/app-emulation/vagrant/metadata.xml
@@ -9,11 +9,6 @@
                <email>proxy-ma...@gentoo.org</email>
                <name>Proxy Maintainers</name>
        </maintainer>
-       <use>
-               <flag name="virtualbox">
-                       Use VirtualBox provider.
-               </flag>
-       </use>
        <upstream>
                <remote-id type="github">hashicorp/vagrant</remote-id>
        </upstream>

diff --git a/app-emulation/vagrant/vagrant-2.2.19.ebuild 
b/app-emulation/vagrant/vagrant-2.2.19.ebuild
new file mode 100644
index 000000000000..3c99cb32357e
--- /dev/null
+++ b/app-emulation/vagrant/vagrant-2.2.19.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="vagrant.gemspec"
+RUBY_FAKEGEM_EXTRAINSTALL="keys plugins templates version.txt"
+RUBY_FAKEGEM_TASK_DOC=""
+
+inherit bash-completion-r1 optfeature ruby-fakegem
+
+DESCRIPTION="A tool for building and distributing development environments"
+HOMEPAGE="https://vagrantup.com/";
+SRC_URI="https://github.com/hashicorp/vagrant/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       ${RDEPEND}
+       app-arch/libarchive
+       net-misc/curl
+"
+
+ruby_add_rdepend "
+       >=dev-ruby/bcrypt_pbkdf-1.0.0
+       >=dev-ruby/childprocess-4.0.0
+       >=dev-ruby/ed25519-1.2.4
+       dev-ruby/erubi
+       >=dev-ruby/hashicorp-checkpoint-0.1.5
+       >=dev-ruby/i18n-1.8:1
+       >=dev-ruby/listen-3.1
+       <dev-ruby/log4r-1.1.11
+       >=dev-ruby/mime-types-3.3:*
+       >=dev-ruby/rubyzip-2.0
+       >=dev-ruby/net-scp-3.0.0
+       >=dev-ruby/net-sftp-3.0
+       >=dev-ruby/net-ssh-6.1.0
+       dev-ruby/rest-client:2
+       >=dev-ruby/vagrant_cloud-3.0.5
+       >=dev-ruby/rexml-3.2.5
+"
+
+ruby_add_bdepend "
+       >=dev-ruby/rake-12.3.3
+       test? (
+               dev-ruby/rspec
+               dev-ruby/rspec-its
+               dev-ruby/webmock
+       )
+"
+
+all_ruby_prepare() {
+       # remove bundler support
+       sed -i '/[Bb]undler/d' Rakefile || die
+       rm Gemfile || die
+       rm tasks/bundler.rake || die
+
+       sed -e ':rake\|rspec\|webmock: s:~>:>=:' \
+               -e 
':bcrypt_pbkdf\|hashicorp-checkpoint\|i18n\|listen\|net-ssh\|net-scp\|net-sftp\|childprocess:
 s:~>:>=:' \
+               -e '/fake_ftp/ s:^#*:#:' \
+               -e '/wdm/ s:^#*:#:' \
+               -e '/winrm/ s:^#*:#:' \
+               -e '/rb-kqueue/ s:^#*:#:' \
+               -e '/ruby_dep/ s:^#*:#:' \
+               -i ${PN}.gemspec || die
+
+       sed -e "s/@VAGRANT_VERSION@/${PV}/g" "${FILESDIR}/${PN}.in" > "${PN}" 
|| die
+}
+
+all_ruby_install() {
+       all_fakegem_install
+
+       newbashcomp contrib/bash/completion.sh ${PN}
+
+       # provide executable similar to upstream:
+       # 
https://github.com/hashicorp/vagrant-installers/blob/master/substrate/modules/vagrant_installer/templates/vagrant.erb
+       dobin "${PN}"
+
+       # directory for plugins.json
+       keepdir /var/lib/vagrant
+
+       insinto /usr/share/vim/vimfiles/syntax/
+       doins contrib/vim/vagrantfile.vim
+
+       optfeature_header "Optional emulation/container backends:"
+       optfeature "VirtualBox support" app-emulation/virtualbox
+       optfeature "Docker support" app-containers/docker
+}

Reply via email to